/*
 * Copyright (c) 2012 Memorial-Sloan Kettering Cancer Center.
 *
 * This file is part of BP_Prior.
 *
 * BP_Prior is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * BP_Prior is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with BP_Prior.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.mskcc.cbio.piclub.model;

import org.biopax.paxtools.model.Model;

public class Distance {
    private ModelNode sourceNode, targetNode;
    private Integer distance = 0;
    Model model;

    public Distance(ModelNode sourceNode, ModelNode targetNode, Integer distance, Model model) {
        this.sourceNode = sourceNode;
        this.targetNode = targetNode;
        this.distance = distance;
        this.model = model;
    }

    public ModelNode getSourceNode() {
        return sourceNode;
    }

    public void setSourceNode(ModelNode sourceNode) {
        this.sourceNode = sourceNode;
    }

    public ModelNode getTargetNode() {
        return targetNode;
    }

    public void setTargetNode(ModelNode targetNode) {
        this.targetNode = targetNode;
    }

    public Integer getDistance() {
        return distance;
    }

    public void setDistance(Integer distance) {
        this.distance = distance;
    }

    public Model getModel() {
        return model;
    }

    public void setModel(Model model) {
        this.model = model;
    }
}
