/*
 * Copyright (c) 2012 Memorial-Sloan Kettering Cancer Center.
 *
 * This file is part of BP_Prior.
 *
 * BP_Prior is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * BP_Prior is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with BP_Prior.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.mskcc.cbio.piclub.util;

import org.junit.Test;

import static junit.framework.Assert.assertEquals;
import static junit.framework.Assert.assertNull;

public class HGNCUtilTest {
    @Test
    public void testSingletonBehaviour() {
        HGNCUtil hgncUtil = HGNCUtil.getInstance();

        // That is the number of lines (excluding the header) in the hgnc resource file
        assertEquals(33610, hgncUtil.getAllSymbols().size());

        // Make sure we got some of the mappings right
        assertEquals("18", hgncUtil.getID("AAMP"));
        assertEquals("11998", hgncUtil.getID("TP53"));
        assertEquals("1097", hgncUtil.getID("BRAF"));
        assertEquals("24523", hgncUtil.getID("ZZZ3"));
        assertEquals("5", hgncUtil.getID("A1BG"));

        // and furthermore check that we skip the header
        assertNull(hgncUtil.getID("#HGNC ID"));

    }

}
